
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>使用JAXB来实现Java程序配置的简单方法 / iVAN</title>

    <meta name="description" content="使用JAXB来实现Java程序配置的简单方法 程序的自定义设置是一个重要的功能,大多数程序都会提供自定义配置的方法,提供用户根据个人喜好.运行环境来配置软件的使用方式.程序的配置方式存在多样性,一般会采用windows格式的ini配置文件或者注册表方式,java格式的properties属性文件,随着xml文件在程序开放中的普及,也有越来越多的配置开始使用xml的文件方式,例如java EE中的部署描述文件. 我们知道,在java中存在很多xml的处理方式,xml组织的dom.sax方法,apache以及sun官方都提供的众多的实现,也有很">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">使用JAXB来实现Java程序配置的简单方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>程序的自定义设置是一个重要的功能，大多数程序都会提供自定义配置的方法，提供用户根据个人喜好、运行环境来配置软件的使用方式。程序的配置方式存在多样性，一般会采用windows格式的ini配置文件或者注册表方式，java格式的properties属性文件，随着xml文件在程序开放中的普及，也有越来越多的配置开始使用xml的文件方式，例如java EE中的部署描述文件。</p>
<p>我们知道，在java中存在很多xml的处理方式，xml组织的dom、sax方法，apache以及sun官方都提供的众多的实现，也有很多其他第三方的优秀类库支持，例如jdom，以及dom4j等。使用比较底层的方式来实现xml的读取，转换、以及校验和保存，需要编写不少的代码来具体实现，但是我们现在多了一个新的选择，JAXB即Java Architecture for XML Binding，xml在java语言中的一个新规范，可以方便的从xml文件到java类，以及从java类到xml文件的转换。</p>
<p>使用JAXB需要下载sun官方的实现类库，可以在sun的glassfish网站来下载。利用JAXB进行开发的步骤如下：</p>
<p>1、定义xml文件的schema，用于定义xml文件的格式规范。</p>
<p>2、运行xjc.bat或者xjc.sh脚本生成在schema中定义的java对象。</p>
<p>3、使用javax.xml.bind.JAXB类的marshal静态方法来根据java对象生成xml文件。</p>
<p>4、实现javax.xml.bind.JAXB类的unmarshal静态方法从xml文件装载java对象。</p>
<p>相信在一般的程序配置方式中，使用JAXB是一个简单，方便的做法，无论是加载自定义配置、或者是保存配置。把对配置参数的处理，转化为普通java对象的操作，对于参数的加载或者保存，则交与JAXB来实现，因此都极为轻松。</p>
<p>Java语言实现配置的其他方式：</p>
<p>1、从jdk1.4开始，Java提供了java.util.prefs包，包含了一些配置的实现，包含属性文件、以及windows注册表等的读写。同sun提供的logging功能一样，很少被人使用。</p>
<p>2、Apache的common configuration 组件也提供了对配置的一些处理，提供了多种配置的支持，属性文件、xml文件、数据库以及jndi方式等，但对于小程序来说，存在一定的复杂性，同时也引入了多个其他第三方jar库的引用。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-19 14:13:29</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e5%bc%8f/" title="方式">方式</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e4%bb%b6/" title="文件">文件</a>, <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae/" title="配置">配置</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/xml/" title="xml">xml</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae%e6%96%87%e4%bb%b6-java/" title="配置文件 java">配置文件 java</a>, <a href="https://www.iamivan.net/tag/%e7%ae%80%e5%8d%95%e5%ae%9e%e7%8e%b0%e6%96%b9%e5%bc%8f/" title="简单实现方式">简单实现方式</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae%e6%96%87%e4%bb%b6java/" title="配置文件java">配置文件java</a>, <a href="https://www.iamivan.net/tag/java%e9%85%8d%e7%bd%ae/" title="java配置">java配置</a>, <a href="https://www.iamivan.net/tag/java-jaxb/" title="java jaxb">java jaxb</a>, <a href="https://www.iamivan.net/tag/java%e5%8a%a0%e8%bd%bd%e9%85%8d%e7%bd%ae%e6%96%87%e4%bb%b6/" title="Java加载配置文件">Java加载配置文件</a>, <a href="https://www.iamivan.net/tag/%e7%ae%80%e5%8d%95%e9%85%8d%e7%bd%ae/" title="简单配置">简单配置</a>, <a href="https://www.iamivan.net/tag/xjc/" title="xjc">xjc</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>使用JAXB来实现Java程序配置的简单方法的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnR8rAp.html" rel="bookmark">一种确保Java程序安全的简单方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SecurityManager介绍 Java序列化漏洞利用中突出的一点是,一旦一个服务器端的Java应用程序被破解,那么下一步就是获取主机上的shell访问权限,这就是我们所熟知的远程代码执行(RCE). 然而有趣的是,其实从Java 1.1开始,Java中就存在一种方式来限制代码执行,并能够防止远程代码执行,这就是SecurityManager.在启用SecurityManager之后,Java代码会在一个非常安全的沙盒中执行,而这能够防止远程代码执行.   这会以$JAVA_HOME/jre			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8VV39b.html" rel="bookmark">批处理调用java程序中的main方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 使用Eclipse创建了一个java程序,想用批处理来调用类中的main方法,并将system.out的打印信息存到本地,批处理要怎么写 解决方案 解决方案二:批处理里面调用命令java.java命令就是执行main函数的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEQ0Lnb.html" rel="bookmark">在java程序中调用embedObject方法上传附件的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我们项目的需求是需要把用j2eeOA系统中的公文上传到notes中其他都已经ok了但是现在上传附件报错.RichTextItemrti=(RichTextItem)newDoc.createRichTextItem(&quot;tmpaa&quot;);StringattachFilePath=&quot;c:/eee.doc&quot;;rti.embedObject(EmbeddedObject.EMBED_ATTACHMENT,null,attachFilePath,&quot;eee.d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxW4LRb.html" rel="bookmark">切换Win7程序窗口的简单方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1.首先,同时按下win7电脑键盘上的win+R快捷键打开电脑的运行窗口,在打开的运行窗口中,输入regedit并单击回车,这样就可以打开win7旗舰版电脑的注册表编辑器窗口了. 2.在打开的注册表编辑器窗口中,依次点击展开左侧菜单中的HKEY_CURRENT_USERSoftwareMicrosoftWindowsCurrentVersionExplorerAdvanced,之后,在右边窗口新建DWORD(32位)值,命名为LastActiveClick,双击打开后,将数值数据改为&quot;1&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn86rob.html" rel="bookmark">mac os安装配置svn简单方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				哎,mac装svn走了很多弯路.刚开始用命令查了一下svn --version,发现系统已经自带安装了1.6版的Subversion,版本太低,那就开始升级到最终版的1.8.8.升级成功后,使用命令 svn co http://www.geekso.com/svn 下载我svn服务器上面的代码,提示不支持http,杯具就是从这开始了,然后上网查,有人说要装neon插件,那就装neon插件吧,根据neon安装说明文档要安装scons,安装scons死活装不上报错,按报错说明没有找到解决方案,这条路			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlKG1Rb.html" rel="bookmark">win2003 x64下 php5 配置运行简单方法&lowbar;win服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果要在x64 iis里运行php5的话,方法如下 1.先安装好php 这里就不多说了网上文章很多 2.开始-运行-cmd 3.到达%SYSTEMDRIVE%inetpubadminscriptsadsutil.vbs 文件所在的目录, 就是iis默认站点目录的上级目录,如果你之前没改过就在c盘. 4.输入CSCRIPT ADSUTIL.VBS SET W3SVC/AppPools/Enable32bitAppOnWin64 1 回车 5 iisreset打开php就会发现运行成功了.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMl0vYM.html" rel="bookmark">编写跨平台Java程序注意事项</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序 使用Java语言编写应用程序最大的优点在于&quot;一次编译,处处运行&quot;,然而这并不是说所有的Java程序都具有跨平台的特性,事实上,相当一部分的Java程序是不能在别的操作系统上正确运行的,那么如何才能编写一个真正的跨平台的Java程序呢?下面是在编写跨平台的Java程序是需要注意的一些事情:   1． 编写Java跨平台应用程序时,你可以选择JDK1.0,1.1,1.2或支持它们的GUI开发工具如:Jbuilder,Visual Age for Java 等等,但是必须注意你的Jav			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXk2WM.html" rel="bookmark">实现Java程序跨平台运行的12点注意事项</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				程序 编写跨平台Java程序注意事项 使用Java语言编写应用程序最大的优点在于&quot;一次编译,处处运行&quot;,然而这并不是说所有的Java程序都具有跨平台的特性,事实上,相当一部分的Java程序是不能在别的操作系统上正确运行的,那么如何才能编写一个真正的跨平台的Java程序呢?下面是在编写跨平台的Java程序是需要注意的一些事情: 1． 编写Java跨平台应用程序时,你可以选择JDK1.0,1.1,1.2或支持它们的GUI开发工具如:Jbuilder,Visual Age for Java			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZJ7ab.html" rel="bookmark">求大神&comma;给一份   登陆之后返回之前页的java程序&comma;急求</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 求大神,给一份 登陆之后返回之前页的java程序,急求 简单的一个小程序就可以,功能就是在当前页点击登录,跳转到登陆页面,登录完成之后,就又跳回到本页,谢谢了!!!!! 解决方案 这里有个简单的用struts2框架的登录工程,你看看可以不.http://download.csdn.net/detail/wojiushiwo945you/8673999 祝好! 解决方案二: 将当前页的网址以参数的形式传入登录界面,登录成功后,再根据参数打开登录前的页面. 看看现成的网站,好多是这样做的:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5RoBz.html" rel="bookmark" class="title">精确到像素的Web设计</a>
					<div>
						这句话不知道是不是我的原创(文字,不是理念),我以前经常讲,同时立即得到很多人的反对,认为这个观点不仅拖长设计周期,而且严重浪费成本,由于反对声太多太激烈,在加上有&quot;导师&quot;说:&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpddqxp.html" rel="bookmark" class="title">互联网长尾关键词的真谛：大树下面好乘凉</a>
					<div>
						关于网站优化一些技巧中,很多站长都会接触到&quot;长尾关键词&quot;这个专业术语,何谓&quot;长尾关键词&quot;,说白了,就是在网站主核心关键词衍生了和网站关键词相关的一些词汇,虽然主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLxWap.html" rel="bookmark" class="title">为 ADO 程序员设计的 ADO&period;NET （1）</a>
					<div>
						ado|程序|程序员|设计 为 ADO 程序员设计的 ADO.NET 摘要:本文讨论如何以 ADO.NET 方式实现基本数据库操作,以及何时使用 ADO.NET 代替 ADO. 目录 .NET 中的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl5VLp.html" rel="bookmark" class="title">java io学习（十二） BufferedOutputStream的认知、源码和示例</a>
					<div>
						BufferedOutputStream(缓冲输出流)的认知.源码和示例 本章内容包括3个部分:BufferedOutputStream介绍,BufferedOutputStream源码,以及Buff ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7jQ7b.html" rel="bookmark" class="title">基于支持向量机的车牌识别：opencv2&period;4&period;7&plus;vs2012环境搭建</a>
					<div>
						环境说明: 环境: OS:win7 sp1 opencv:2.4.7 vs2012 搭建过程: PS:机器上原本已安装vs2012 1.opencv 1.1 下载,直接双击安装即可. 此处我的安装位置 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRRdqz.html" rel="bookmark" class="title">定制AjaxControlToolkit（1）：使一个CalendarExtender对应N个TextBox</a>
					<div>
						其实像AutoCompleteExtender之类的其它扩展也是与此类似,这里只是用 CalendarExtender举例子了. AjaxControlToolkit确实是个好东西,但是我实在不明白设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO1K5b.html" rel="bookmark" class="title">mysql数据库利用procedure存储过程实现条件判断代码实例</a>
					<div>
						mysql&gt; delimiter $$     mysql&gt; CREATE PROCEDURE myProc()         -&gt; DETERMINISTIC         - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPgPWz.html" rel="bookmark" class="title">iframe 自适应高度方法</a>
					<div>
						不带边框的iframe因为能和网页无缝的结合从而不刷新页面的情况下更新页面的部分数据成为可能,可是 iframe的大小却不像层那样可以&quot;伸缩自如&quot;,所以带来了使用上的麻烦,给ifr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2Vdlp.html" rel="bookmark" class="title">asp 简单ubb代码转换程序</a>
					<div>
						function  HTMLConvert(fString) if not isnull(fString) then fString = replace(fString,   &quot;&gt;&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1Ro63p.html" rel="bookmark" class="title">PowerPoint怎么制作个人简历</a>
					<div>
						  PowerPoint怎么制作个人简历          一说制作简历,实用型的人首先想到的是Word,艺术型的人首先想到的是Photoshop.不过,Word易用却不易美化,Photoshop易美 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A5aDp.html" rel="bookmark" class="title">网页设计流程实例说明</a>
					<div>
						对于很多刚入行的网页设计来说,总有很多迷惘和不安,特别是在设计过程中,遇到反复修改,更是有想揍人的冲动,有句话怎么说来着,每一次网页设计师背后,都有一群指点江山的大神.这里,就说一下我过往的一些经验, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm7aklb.html" rel="bookmark" class="title">Opera浏览器如何安装备份文件</a>
					<div>
						  1.不删除 文件的覆盖安装--常见于使用OperaWeeklyBuild的朋友. 这样的重新安装不会导致配置丢失.我们只需要备份X:ProgramFilesOpera下的search.ini这个文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ZRvNb.html" rel="bookmark" class="title">电脑中通过执行命令来清除IE浏览器隐私数据的方法</a>
					<div>
						电脑中通过执行命令来清除IE浏览器隐私数据的方法  1.按Win+R打开运行,输入IE浏览器清除命令,如清除历史记录:RunDll32.exe InetCpl.cpl,ClearMyTracksByP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAreLZp.html" rel="bookmark" class="title">XP&sol;Win7共享&sol;连接打印机设置详细</a>
					<div>
						  Windows XP系统 打印机右键设置共享 初始化设置网络环境 设置其它电脑访问名称 设置工作组,同一局域网尽量设置统一工作组 启动文件和打印机共享 Windows 7 系统 打印机右键设置共享 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7AY0M.html" rel="bookmark" class="title">台式机在没有网卡的情况下怎么连接迷你路由器？</a>
					<div>
						在没有网卡的情况下,台式机该如何连接迷你路由器呢?下面我来说说. 设置路由器 1.登入路由器界面. 1)打开电脑桌面上的浏览器,清空地址栏并输入192.168.1.253,回车后页面会弹出登录框. 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywklJz.html" rel="bookmark" class="title">标准-请懂计算机的帮忙估算一下，我鼠标连续移动一秒，计算机要花费多少时间在鼠标移动这一事件的处理上</a>
					<div>
						问题描述 请懂计算机的帮忙估算一下,我鼠标连续移动一秒,计算机要花费多少时间在鼠标移动这一事件的处理上 以市面上普通正常的计算机标准大概估算一下就行了,只要误差在一个数量级以内,一直觉得计算很快,但是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7OEwM.html" rel="bookmark" class="title">Java 异常设计最佳实践</a>
					<div>
						关于异常 在讲Java异常实践之前,先理解一下什么是异常.到底什么才算是异常呢?其实异常可以看做在我们编程过程中遇到的一些意外情况,当出现这些意外情况时我们无法继续进程正常的逻辑处理,此时我们就可以抛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Px13p.html" rel="bookmark" class="title">javascript some&lpar;&rpar;函数用法详解&lowbar;php技巧</a>
					<div>
						参数说明 callback: 要对每个数组元素执行的回调函数. thisObject : 在执行回调函数时定义的this对象. 功能说明 对数组中的每个元素都执行一次指定的函数(callback),直 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6JKnM.html" rel="bookmark" class="title">安全退出app，activoty栈管理</a>
					<div>
						前言 由于一个同学问到我如何按照一个流程走好之后回到首页,我以前看到过4个解决方案,后来发现有做个记录和总结的必要,就写了这篇博文.(之前看小强也写过一篇,这里通过自身的分析完整的总结一下以下6种方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxjDnb.html" rel="bookmark" class="title">C&plus;&plus; 关于bool函数的一个小问题</a>
					<div>
						问题描述 C++ 关于bool函数的一个小问题 /*我写的这个程序是可以运行的,但我不清楚我写的bool函数是否符合题意,因为输入不符值后输出的是三串长长的数字...麻烦大神们帮我看一下需不需要改正~ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmQGaz.html" rel="bookmark" class="title">usb-HID设备描述符和在驱动程序中的体现</a>
					<div>
						问题描述 HID设备描述符和在驱动程序中的体现 这两天一直再看HID的描述符方面的知识,但是看到很多文档都是单独讲解描述符, 缺少和驱动程序实际应用的结合,哪位高人能够提供一些好的文档给小弟参考下吗? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPP9Elp.html" rel="bookmark" class="title">EL表达式</a>
					<div>
						版权声明:尊重博主原创文章,转载请注明出处哦~http://blog.csdn.net/eson_15/article/details/51264269 目录(?)[+]         这节我们总结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn726Zz.html" rel="bookmark" class="title">《Outlook时间整理术》一让Outlook对收件箱进行预分类</a>
					<div>
						让Outlook对收件箱进行预分类 由于具备自动筛选功能,Outlook可以做一些电子邮件处理工作.例如, 当您想选择要观看的电影时,则需要Movie Newsletter .邮件星期四早上没有到达收 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRAYXb.html" rel="bookmark" class="title">jsp 投票系统问题</a>
					<div>
						问题描述 如何禁止刷新投票,因为把页面刷新后会出现刷票问题,如何把它禁止掉 解决方案 解决方案二:没明白..解决方案三:就是,当你已经投完票了,页面转到投票结果这个页面,可是,当在投票结果这个页面刷新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RooWz.html" rel="bookmark" class="title">惠普未严格按&OpenCurlyDoubleQuote;三包&rdquo;解决消费投诉</a>
					<div>
						质检总局公布对惠普公司有关笔记本电脑质量问题调查结果 本报讯 (记者何颖思)昨晚,国家质检总局在网站发布了关于惠普笔记本电脑质量问题的调查情况.调查情况显示,惠普公司承认在中国大陆销售的部分笔记本电脑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M600JYz.html" rel="bookmark" class="title">textureview-android 视频播放上下有黑边问题</a>
					<div>
						问题描述 android 视频播放上下有黑边问题 最近在做有关视频的项目, 用的是 mediaplayer 和TextureView,但是上下有黑边,转换成全屏时也是有黑边,请问各位大神怎么能去除黑边 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBmoYz.html" rel="bookmark" class="title">dao-springmvc中DAO中save方法与数据库</a>
					<div>
						问题描述 springmvc中DAO中save方法与数据库 save方法: public void save(T o){ getSession().save(o); } controller里的方法: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJgm5p.html" rel="bookmark" class="title">急需要协同过滤算法的源码</a>
					<div>
						问题描述 急需要协同过滤算法的源码,555555,找了好久,还是没找到,好心人帮帮忙呀~~~~					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnBPrM.html" rel="bookmark" class="title">《ELK Stack权威指南（第2版）》一 3&period;3　Postfix日志</a>
					<div>
						3.3 Postfix日志 Postfix是Linux平台上最常用的邮件服务器软件.邮件服务的运维复杂度一向较高,在此提供一个针对Postfix日志的解析处理方案.方案出自:https://githu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Genop.html" rel="bookmark" class="title">不以用户体验至上的SEO都是耍流氓</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 SEO是目前所有互联网企业必用的一种网络营销手段,是通过特殊技巧将某个或多个目标关键词及潜在关键词排在搜索引擎最前面,进而增加网站的曝光率从而提高品牌的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
